Kohinos 1 Logiciel de gestion d'une MLC (Monnaie Locale Complémentaire)

Public Member Functions | List of all members
Ekyna\Component\Payum\Payzen\Api\Api Class Reference

## Public Member Functions
| setConfig (array $config)
| getTransactionId ()
| createRequestUrl (array $data)
| createRequestData (array $data)
| checkResponseIntegrity (array $data)
| generateSignature (array $data, $hashed=true)

## Member Function Documentation

## ◆ checkResponseIntegrity()

Ekyna\Component\Payum\Payzen\Api\Api::checkResponseIntegrity | ( | array | $data | ) |

Checks the response signature.

Parameters

  array | $data |

Returns
  bool

## ◆ createRequestData()

Ekyna\Component\Payum\Payzen\Api\Api::createRequestData | ( | array | $data | ) |

Creates the request data.

Parameters

  array | $data |

Returns
  array

## ◆ createRequestUrl()

Ekyna\Component\Payum\Payzen\Api\Api::createRequestUrl | ( | array | $data | ) |

Creates the request url.

Parameters

  array | $data |

Returns
  string

## ◆ generateSignature()

Ekyna\Component\Payum\Payzen\Api\Api::generateSignature | ( | array | $data,
|  |  | $hashed = `true`
| ) |  |

Generates the signature.

Parameters

  array | $data |
  bool | $hashed |

Returns
  string

## ◆ getTransactionId()

Ekyna\Component\Payum\Payzen\Api\Api::getTransactionId | ( |  | ) |

Returns the next transaction id.

Returns
  string

## ◆ setConfig()

Ekyna\Component\Payum\Payzen\Api\Api::setConfig | ( | array | $config | ) |

Configures the api.

Parameters

  array | $config |

The documentation for this class was generated from the following file:

- lib/ekyna/payum-payzen/Api/Api.php